# Minio Cookbook [![Gitter](https://badges.gitter.im/Join%20Chat.svg)](https://gitter.im/minio/minio?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge&utm_content=badge)

This is home for recipes of related projects and tools to use with Minio.

### How to Contribute a Recipe

1. Fork this repo and create a new topic branch.
2. Make your addition. See one of the recipe files for a sample.
3. Send a PR - Please include a short descriptions of your new or updated recipe.

Note: You can also refer to [Awesome Minio](https://github.com/minio/awesome-minio) to get your project or use-case listed under Minio.

### List of Recipes

- [Running Deis Workflow with Minio](./docs/running-deis-workflow-with-minio.md)
- [AWS CLI with Minio](./docs/aws-cli-with-minio.md)
- [Running Minio in Docker](./docs/running-minio-in-docker.md)
- [Running Minio in FreeNAS](./docs/running-minio-in-freenas.md)
- [Store MongoDB Backups in Minio](./docs/store-mongodb-backups-in-minio.md)
- [Store MySQL Backups in Minio](./docs/store-mysql-backups-in-minio.md)
- [Store PostgreSQL Backups in Minio](./docs/store-postgresql-backups-in-minio.md)
- [restic with Minio](./docs/restic-with-minio.md)
- [S3cmd with Minio](./docs/s3cmd-with-minio.md)
- [Aggregate Apache logs with fluentd and Minio](./docs/aggregate-apache-logs-with-fluentd-and-minio.md)
- [Generate Let's Encypt certificate using Concert for Minio](./docs/generate-lets-encypt-certificate-using-concert-for-minio.md)
- [Setup Caddy proxy with Minio](./docs/setup-caddy-proxy-with-minio.md)
- [Setup Nginx proxy with Minio](./docs/setup-nginx-proxy-with-minio.md)
- [Setup Apache HTTP proxy with Minio](./docs/setup-apache-http-proxy-with-minio.md)
- [How to run multiple Minio servers with Træfɪk](./docs/multiple-minio-servers-with-traefik.md)
- [Rclone with Minio](./docs/rclone-with-minio.md)
- [Download from Browser with PreSignedGet](./docs/presigned-get-download-from-browser.md)
- [Upload via Browser with PreSignedPut](./docs/presigned-put-upload-via-browser.md)
- [How to use Cyberduck with Minio](./docs/how-to-use-cyberduck-with-minio.md)
- [How to use Mountain Duck with Minio ](./docs/how-to-use-mountainduck-with-minio.md)
- [How to use AWS SDK for PHP with Minio Server](./docs/aws-sdk-for-php-with-minio.md)
- [How to use AWS SDK for Go with Minio Server](./docs/aws-sdk-for-go-with-minio.md)
- [How to use AWS SDK for Python with Minio Server](./docs/aws-sdk-for-python-with-minio.md)
- [How to use AWS SDK for Ruby with Minio Server](./docs/aws-sdk-for-ruby-with-minio.md)
- [How to use AWS SDK for Javascript with Minio Server](./docs/aws-sdk-for-javascript-with-minio.md)
